/**
 * Copyright (c) 2011, 2015 - Lunifera GmbH (Gross Enzersdorf), Loetz GmbH&Co.KG (Heidelberg)
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License 2.0 
 * which accompanies this distribution, and is available at
 * https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 *
 * Contributors:
 *         Florian Pirchner - Initial implementation
 *
 * generated by Xtext 2.11.0

 */
package org.eclipse.osbp.xtext.basic.ui;

import org.eclipse.core.resources.IProject;
import org.eclipse.core.resources.IWorkspace;
import org.eclipse.core.resources.IWorkspaceRoot;
import org.eclipse.core.resources.ResourcesPlugin;
import org.eclipse.jdt.core.IClasspathEntry;
import org.eclipse.jdt.core.IJavaProject;
import org.eclipse.jdt.core.JavaCore;
import org.eclipse.jdt.core.JavaModelException;
import org.eclipse.osbp.xtext.basic.validation.IBasicValidatorDelegate;

public class BasicValidationDelegate implements IBasicValidatorDelegate {

	@Override
	public boolean validateCommercial(String extension, String bundleName) {
		IWorkspace ws = ResourcesPlugin.getWorkspace();
		IWorkspaceRoot root = ws.getRoot();
		for(IProject project : root.getProjects()) {
			if(project.isOpen() && project.getFileExtension() != null && project.getFileExtension().endsWith(extension)) {
				IJavaProject javaProject = JavaCore.create(project);
				try {
					for(IClasspathEntry cp : javaProject.getResolvedClasspath(true)) {
						if(cp.getPath().toString().contains(bundleName)) {
							return true;
						}
					}
				} catch (JavaModelException e) {
					e.printStackTrace();
				}
			}
		}
		return false;
	}
}
